;nyquist plug-in
;version 1
;type generate
;categories "http://lv2plug.in/ns/lv2core/#OscillatorPlugin"
;name "Binaural Tone with Noise v3..."
;action "Generating binaural tones..."
;info "By Steve Daulton (www.easyspacepro.com) Released under GPL v2.\n*** IMPORTANT *** A stereo track must be selected."

;; By Steve Daulton. September 2010.
;; Released under terms of the GNU General Public License version 2 
;; http://www.opensource.org/licenses/gpl-license.php

;control action "Select Required Action" choice "Generate Sound,Show Help,Note to Frequency" 0
;control freq1 "Initial Tone Frequency" real "Hz" 220 0 1000
;control bfreq1 "Initial Beat Frequency" real "Hz" 8 0 30
;control amp1 "Initial Amplitude (0 to 1)" real "" 0.8 0 1
;control dur1 "Section 1 Duration" real "seconds" 60 0 1000
;control freq2 "Final Section 1 or\nInitial Section 2 Tone Frequency" real "Hz" 0 0 1000
;control bfreq2 "Final Section 1 or\nInitial Section 2 Beat Frequency" real "Hz" 0 0 30
;control amp2 "Final Section 1 or\nInitial Section 2 Amplitude (0 to 1)" real "" 0 0 1
;control dur3 "Section 2 Duration" real "seconds" 60 0 1000
;control freq3 "Final Section 2 Tone Frequency" real "Hz" 0 0 1000
;control bfreq3 "Final Section 2 Beat Frequency" real "Hz" 0 0 30
;control amp3 "Final Section 2 Amplitude (0 to 1)" real "" 0 0 1
;control namp "Pink Noise % of Mix" real "" 0 0 100

(defun help ()
   (format nil 
"Help File."))

(defun note-table ()
   (format nil 
"Frequencies of selected notes:\n
C2 	65.41 Hz
C#2 = 69.30 Hz
D2 = 73.42 Hz
D#2 = 77.78 Hz
E2 = 82.41 Hz
F2 = 87.31 Hz
F#2 = 92.50 Hz
G2 = 98.00 Hz
G#2 = 103.83 Hz
A2 = 110.00 Hz
A#2 = 116.54 Hz
B2 = 123.47 Hz
C3 = 130.81 Hz\n
For a complete list, see:
http:\/\/www.phy.mtu.edu\/\~~suits\/notefreqs.html"))

;(defun process (f1 f2 f3 bb1 bb2 bb3 a1 a2 a3 pink)
(defun process ()
(osc 60))

(case action
   (1 (help))
   (2 (note-table))
   (3 (process)))
